미디어위키:Common.css: 두 판 사이의 차이

편집 요약 없음
잔글편집 요약 없음
 
(같은 사용자의 중간 판 223개는 보이지 않습니다)
1번째 줄: 1번째 줄:
/* 이 CSS 설정은 모든 스킨에 적용됩니다 */
/* 이 CSS 설정은 모든 스킨에 적용됩니다 */


..Liberty .content-wrapper .liberty-content .liberty-content-main {
.liberty-content-main {
    counter-reset: h2number;
  counter-reset: h2counter;
}
}
.liberty-content-main h2:not(.liberty-content-main .toc .toctitle)::before {
  counter-increment: h2counter;
  content: counter(h2counter) ". ";
color:#ec9f19;
font-weight:bold;
}
.liberty-content-main h2 {
  counter-reset: h3counter;
}
.liberty-content-main h3::before {
  counter-increment: h3counter;
  content: counter(h2counter) "." counter(h3counter) ". ";
color:#ec9f19;
font-weight:bold;
}
.subpages::before {
    content: "";
    display: block;
    background: url("https://sosowiki.net/w/%ED%8C%8C%EC%9D%BC:Icon-up.png") no-repeat;
    width: 20px;
    height: 20px;
    float: left;
    margin: 3px 6px 0 0;
}
/* 글자 하이라이트 */
mark {
  border-radius: 4px!important;
padding: 2px 5px 2px 5px;
background-color:light-dark(#fcf4ca, #fcf8e3);
}
:root {
  color-scheme: light dark;
}
blockquote {
  background-color: light-dark(#f9f9f9, #2d2f34);
  border-left:10px solid light-dark(#ccc, #666c75);
  margin:1.5em 10px;
  padding:1.0em 30px 1.0em 28px;
border-radius: 10px;
  quotes:"\201C""\201D""\2018""\2019";
  text-align: left;
  font-style: normal;
font-size: 0.99em;
}
blockquote::before {
font-family:Arial;
content: "\201C";
color: #9eaea9;
font-size: 3.5em;
position: absolute;
left: 5px;
top: 15px;
}
/* 물결 밑줄 */
.underline {
    text-decoration: underline;
    text-decoration-color: red;
    text-decoration-style: wavy;
    text-underline-offset: 5px;
}
blockquote::after{
content: '';
}
blockquote p:not(:first-child) {
  display:inline-block;
  line-height: 1.65em;
  margin-bottom: 21px;
  text-transform: none;
}
blockquote p:first-child,
blockquote p:last-child {
  display:inline;
  line-height: 1.1em;
  text-transform: none;
}
blockquote cite {
padding-top: 20px;
display: block;
    font-style: italic;
    font-size: 15px;
}
blockquote:hover {
    transform: scale(1.03);
 transition: all 0.20s ease-in-out;/* 호버 확대 속도 */
}
/*표 */
.Liberty .content-wrapper .liberty-content .liberty-content-main table.wikitable tr > th, .Liberty .content-wrapper .liberty-content .liberty-content-main table.wikitable tr > td {
    border: 1px solid light-dark(#e1e8ed, #40434a);
}
/* h2 상단 여백 */
.Liberty .content-wrapper .liberty-content .liberty-content-main h2 {
.Liberty .content-wrapper .liberty-content .liberty-content-main h2 {
    counter-increment: h2number;
margin-top: 50px;
    counter-reset: h3number;   
}
}
.Liberty .content-wrapper .liberty-content .liberty-content-main h2:before {
.Liberty .content-wrapper .liberty-content .liberty-content-main h3 {
     content: counter(h2number) '. ';
margin-top: 20px;
}
 
/* 형광펜 */
.highlight-under {
text-decoration: none;
display: inline;
box-shadow: inset 0 -9px 0 light-dark(#f8d374, #9c893e);
}
 
.highlight-under-orange {
text-decoration: none;
display: inline;
box-shadow: inset 0 -9px 0 light-dark(#ffa374, #9c5d3e);
}
 
.highlight-under-pink {
text-decoration: none;
display: inline;
box-shadow: inset 0 -9px 0 light-dark(#ff9797, #9c6776);
}
 
.highlight-under-mint {
text-decoration: none;
display: inline;
box-shadow: inset 0 -9px 0 light-dark(#8ed2cd, #617d6d);
}
 
.highlight-under-skyblue {
text-decoration: none;
display: inline;
box-shadow: inset 0 -9px 0 light-dark(#82cfed, #5a7596);
}
 
.highlight-under-gray {
text-decoration: none;
display: inline;
box-shadow: inset 0 -9px 0 light-dark(#c8cfdb, #4b4f57);
}
 
 
.highlight-above {
     text-emphasis-style: dot;
    text-emphasis-color: #ec9f19;
    text-decoration-line: none;
}
 
 
.poem-2:hover {
  cursor: pointer;
  transition: background-color 0.5s, color 0.5s;
 
}
 
/* clearfix */
.clearfix{*zoom:1;}
.clearfix:before, .clearfix:after {display: block; content: ""; line-height: 0;}
.clearfix:after {clear: both;}
 
.hover01 {
-webkit-filter: grayscale(0);
filter: grayscale(0);
-webkit-transition: .3s ease-in-out;
transition: .3s ease-in-out;
}
}
.Liberty .content-wrapper .liberty-content .liberty-content-main h3 {
.hover01:hover {
    counter-increment: h3number;
-webkit-filter: grayscale(100%);
filter: grayscale(100%);
}
.hover02 {
-webkit-filter: sepia(0%);
filter: sepia(0%);
-webkit-transition: .3s ease-in-out;
transition: .3s ease-in-out;
}
.hover02:hover {
-webkit-filter: sepia(100%);
filter: sepia(100%);
}
 
.hover03 {
-webkit-filter: invert(0%);
filter: invert(0%);
-webkit-transition: .3s ease-in-out;
transition: .3s ease-in-out;
}
}
.Liberty .content-wrapper .liberty-content .liberty-content-main h3:before {
.hover03:hover {
    content: counter(h3number) ') ';
-webkit-filter: invert(100%);
filter: invert(100%);
}
}

2025년 1월 23일 (목) 23:43 기준 최신판

/* 이 CSS 설정은 모든 스킨에 적용됩니다 */

.liberty-content-main {
  counter-reset: h2counter;
}

.liberty-content-main h2:not(.liberty-content-main .toc .toctitle)::before {
  counter-increment: h2counter;
  content: counter(h2counter) ". ";
	color:#ec9f19;
	font-weight:bold;
}
.liberty-content-main h2 {
  counter-reset: h3counter;
}
.liberty-content-main h3::before {
  counter-increment: h3counter;
  content: counter(h2counter) "." counter(h3counter) ". ";
		color:#ec9f19;
		font-weight:bold;
}

.subpages::before {
    content: "";
    display: block;
    background: url("https://sosowiki.net/w/%ED%8C%8C%EC%9D%BC:Icon-up.png") no-repeat;
    width: 20px;
    height: 20px;
    float: left;
    margin: 3px 6px 0 0;
}

/* 글자 하이라이트 */
mark {
   border-radius: 4px!important;
	padding: 2px 5px 2px 5px;
	background-color:light-dark(#fcf4ca, #fcf8e3);
}

:root {
  color-scheme: light dark;
}

blockquote {
	  background-color: light-dark(#f9f9f9, #2d2f34);
  border-left:10px solid light-dark(#ccc, #666c75);
  margin:1.5em 10px;
  padding:1.0em 30px 1.0em 28px;
	border-radius: 10px;
  quotes:"\201C""\201D""\2018""\2019";
  text-align: left;
  font-style: normal;
	font-size: 0.99em;
}

blockquote::before {
font-family:Arial;
content: "\201C";
color: #9eaea9;
font-size: 3.5em;
position: absolute;
left: 5px;
top: 15px;
}

/* 물결 밑줄 */
.underline {
    text-decoration: underline;
    text-decoration-color: red;
    text-decoration-style: wavy;
    text-underline-offset: 5px;
}
blockquote::after{
content: '';
}

blockquote p:not(:first-child) {
  display:inline-block;
  line-height: 1.65em;
  margin-bottom: 21px;
  text-transform: none;
}

blockquote p:first-child,
blockquote p:last-child {
  display:inline;
  line-height: 1.1em;
  text-transform: none;
}

blockquote cite {
padding-top: 20px;
display: block;
    font-style: italic;
    font-size: 15px;
}

blockquote:hover {
    transform: scale(1.03);
	  transition: all 0.20s ease-in-out;/* 호버 확대 속도 */
}


/*표 */
.Liberty .content-wrapper .liberty-content .liberty-content-main table.wikitable tr > th, .Liberty .content-wrapper .liberty-content .liberty-content-main table.wikitable tr > td {
    border: 1px solid light-dark(#e1e8ed, #40434a);
}


/* h2 상단 여백 */
.Liberty .content-wrapper .liberty-content .liberty-content-main h2 {
	margin-top: 50px;
}
.Liberty .content-wrapper .liberty-content .liberty-content-main h3 {
	margin-top: 20px;
}

/* 형광펜 */
.highlight-under {
	text-decoration: none;
	display: inline;
	box-shadow: inset 0 -9px 0 light-dark(#f8d374, #9c893e);
}

.highlight-under-orange {
	text-decoration: none;
	display: inline;
	box-shadow: inset 0 -9px 0 light-dark(#ffa374, #9c5d3e);
}

.highlight-under-pink {
	text-decoration: none;
	display: inline;
	box-shadow: inset 0 -9px 0 light-dark(#ff9797, #9c6776);
}

.highlight-under-mint {
	text-decoration: none;
	display: inline;
	box-shadow: inset 0 -9px 0 light-dark(#8ed2cd, #617d6d);
}

.highlight-under-skyblue {
	text-decoration: none;
	display: inline;
	box-shadow: inset 0 -9px 0 light-dark(#82cfed, #5a7596);
}

.highlight-under-gray {
	text-decoration: none;
	display: inline;
	box-shadow: inset 0 -9px 0 light-dark(#c8cfdb, #4b4f57);
}


.highlight-above {
    text-emphasis-style: dot;
    text-emphasis-color: #ec9f19;
    text-decoration-line: none;
}


.poem-2:hover {
  cursor: pointer;
  transition: background-color 0.5s, color 0.5s;
  
}

/* clearfix */
.clearfix{*zoom:1;}
.clearfix:before, .clearfix:after {display: block; content: ""; line-height: 0;}
.clearfix:after {clear: both;}

.hover01 {
	-webkit-filter: grayscale(0);
	filter: grayscale(0);
	-webkit-transition: .3s ease-in-out;
	transition: .3s ease-in-out;
}
.hover01:hover {	
	-webkit-filter: grayscale(100%);
	filter: grayscale(100%);
}
.hover02 {
		-webkit-filter: sepia(0%);
	filter: sepia(0%);
	-webkit-transition: .3s ease-in-out;
	transition: .3s ease-in-out;
}
.hover02:hover {	
	-webkit-filter: sepia(100%);
	filter: sepia(100%);
}

.hover03 {
		-webkit-filter: invert(0%);
	filter: invert(0%);
	-webkit-transition: .3s ease-in-out;
	transition: .3s ease-in-out;
}
.hover03:hover {	
	-webkit-filter: invert(100%);
	filter: invert(100%);
}